micro_utils.dokka
0.15.1

# SimpleMapperImpl

class SimpleMapperImpl<T1, T2>(t1: (T2) -> T1, t2: (T1) -> T2) : SimpleMapper<T1, T2>

## Constructors

SimpleMapperImpl
Link copied to clipboard
fun <T1, T2> SimpleMapperImpl(t1: (T2) -> T1, t2: (T1) -> T2)

## Functions

convertToT1
Link copied to clipboard
open override fun convertToT1(from: T2): T1
convertToT2
Link copied to clipboard
open override fun convertToT2(from: T1): T2

## Extensions

convert
Link copied to clipboard
@JvmName(name = "convertFromT2")
fun <T1, T2> SimpleMapper<T1, T2>.convert(from: T2): T1
@JvmName(name = "convertFromT1")
fun <T1, T2> SimpleMapper<T1, T2>.convert(from: T1): T2